# suika

[![Go Documentation](https://godocs.io/marisa.chaotic.ninja/suika?status.svg)](https://godocs.io/marisa.chaotic.ninja/suika)

A user-friendly IRC bouncer. Hard-fork of the 0.3 series of [soju](https://soju.im), named after [Suika Ibuki](https://en.touhouwiki.net/wiki/Suika_Ibuki) from [Touhou 7.5: Immaterial and Missing Power](https://en.touhouwiki.net/wiki/Immaterial_and_Missing_Power)

- Multi-user
- Support multiple clients for a single user, with proper backlog
  synchronization
- Support connecting to multiple upstream servers via a single IRC connection
  to the bouncer

## Building and installing

Dependencies:

- Go
- BSD or GNU make

For end users, a `Makefile` is provided:

    make
    doas make install

For development, you can use `go run ./cmd/suika` as usual.

## License
AGPLv3, see [LICENSE](LICENSE).

* Copyright (C) 2020 The soju Contributors
* Copyright (C) 2023-present Izuru Yakumo

The code for `version.go` is stolen verbatim from one of [@prologic](https://git.mills.io/prologic)'s projects. It's probably under MIT
