#!/bin/sh
# $TheSupernovaDuo: suika,v 0.4.2 2023/6/9 23:30:3 yakumo_izuru Exp $

# PROVIDE: suika
# REQUIRE: DAEMON
# BEFORE: LOGIN
# KEYWORD: SHUTDOWN

. /etc/rc.subr

name="suika"
rcvar="$name_enable"

command="/usr/local/bin/$name"

: ${suika_enable="NO"}
: ${suika_config_file="/usr/local/etc/suika/config"}

command_args="-config ${suika_config_file}"
required_files="${suika_config_file}"

load_rc_config "$name"
run_rc_command "$1"
